#-----------------------------------------------------------------------------
#
# ICETConfig.cmake - IceT CMake configuration file for external projects.
#
# This file is configured by IceT and used by the UseICET.cmake module
# to load IceT's settings for an external project.
#
## Copyright 2003 Sandia Coporation
## Under the terms of Contract DE-AC04-94AL85000, there is a non-exclusive
## license for use of this work by or on behalf of the U.S. Government.
## Redistribution and use in source and binary forms, with or without
## modification, are permitted provided that this Notice and any statement
## of authorship are reproduced on all copies.
#
# $Id: ICETConfig.cmake.in,v 1.3 2007/02/22 18:25:27 kmorel Exp $
#

# The IceT include file directories.
SET(ICET_INCLUDE_DIRS "/usr/include/paraview-3.2")

# The IceT library directories.
SET(ICET_LIBRARY_DIRS "/usr/lib64/paraview-mpi")

# The C and C++ flags added by IceT to the cmake-configured flags.
SET(ICET_REQUIRED_C_FLAGS "")
SET(ICET_REQUIRED_CXX_FLAGS "")

# The IceT version number
SET(ICET_MAJOR_VERSION "0")
SET(ICET_MINOR_VERSION "5")
SET(ICET_PATCH_VERSION "3")

# The location of the UseICET.cmake file.
SET(ICET_USE_FILE "/usr/lib64/paraview-mpi/UseICET.cmake")

# The build settings file.
SET(ICET_BUILD_SETTINGS_FILE "/usr/lib64/paraview-mpi/ICETBuildSettings.cmake")

# The IceT libraries
SET(ICET_CORE_LIBS "/usr/lib64/paraview-mpi/libicet.so" "/usr/lib64/paraview-mpi/libicet_strategies.so")
SET(ICET_MPI_LIBS "/usr/lib64/paraview-mpi/libicet_mpi.so")

# MPI configuration used to build IceT.
SET(ICET_MPI_INCLUDE_PATH "/usr/include/openmpi/1.2.4-gcc")
SET(ICET_MPI_LIBRARY "/usr/lib64/openmpi/1.2.4-gcc/libmpi_cxx.so")
SET(ICET_MPI_EXTRA_LIBRARY "/usr/lib64/openmpi/1.2.4-gcc/libmpi.so;/usr/lib64/openmpi/1.2.4-gcc/libopen-rte.so;/usr/lib64/openmpi/1.2.4-gcc/libopen-pal.so;/usr/lib64/libdl.so;/usr/lib64/libnsl.so;/usr/lib64/libutil.so;/usr/lib64/libm.so;/usr/lib64/libdl.so")
SET(ICET_MPIRUN_EXE "ICET_MPIRUN_EXE-NOTFOUND")
SET(ICET_MPI_MAX_NUMPROCS "2")
SET(ICET_MPI_PREFLAGS "-np;2;")
SET(ICET_MPI_POSTFLAGS "")

# Other IceT configuration options.
SET(ICET_BUILD_SHARED_LIBS "ON")
SET(ICET_BUILD_TESTING "ON")

# The ICET library dependencies.
IF(NOT ICET_NO_LIBRARY_DEPENDS)
  INCLUDE("/usr/lib64/paraview-mpi/ICETLibraryDepends.cmake")
ENDIF(NOT ICET_NO_LIBRARY_DEPENDS)

